Last Comment Bug 383687 - SeaMonkey 2 installer should migrate plugins
: SeaMonkey 2 installer should migrate plugins
Status: VERIFIED WONTFIX
:
Product: SeaMonkey
Classification: Client Software
Component: Startup & Profiles (show other bugs)
: Trunk
: x86 Windows XP
enhancement
-- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
Regressions:
Regressed by:
 
Reported: 2007-06-07 20:26 PDT by Steve Chapel
Modified: 2010-12-08 12:41 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Steve Chapel 2007-06-07 20:26:03 PDT
I just tried installing SeaMonkey 2 for the first time and had it import settings from a SeaMonkey 1.5 trunk build. I found that most of my settings were migrated, but my plugins were not, and I had to copy them to the new directory manually. Perhaps the plugins should be migrated, rather than having users re-install all plugins, or manually copy them over.
Comment 1 User image Jeff Silverman 2007-08-12 13:05:51 PDT
It would be sufficient, I think, if the installation instructions said to backup and restore the plugins directory.  Backup should use the tar command *without* the -h switch.  That will maintain which entries are files and which are symlinks.
Comment 2 User image Bruno 'Aqualon' Escherl 2010-12-08 09:37:36 PST
Is this a valid report or is it WONTFIX?
Comment 3 User image Robert Kaiser 2010-12-08 12:24:05 PST
I don't think the SeaMonkey team will invest energy in that.
Comment 4 User image Philip Chee 2010-12-08 12:41:07 PST
Besides in 2.1 plugins are either delivered as XPIs installed in the profile or via third party installers and installed in system global locations. Confirmed =>WONTFIX

Note You need to log in before you can comment on or make changes to this bug.